Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.prequel.co/sources/{source_id} \ --header 'X-API-KEY: <api-key>'
{ "status": "<string>", "data": { "source": { "athena": { "workgroup": "<string>", "connection_database": "<string>", "bucket_s3": { "bucket_name": "<string>", "bucket_region": "<string>" }, "auth_method": "<unknown>", "aws_iam_role": { "aws_iam_role_arn": "<string>" } }, "id": "<string>", "vendor": "<string>", "name": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "max_concurrent_transfers": 123, "max_concurrent_queries_per_transfer": 123 }, "ssh_public_key": "<string>" }, "message": "<string>" }
The endpoint returns the details of a specific source by the given ID.
Source ID.
OK
"success"
Show child attributes